package in.cdac.medinfo.csnotk.csnolib.disb.model;

import java.io.Serializable;
import java.util.List;


public class DrugType implements Serializable {
	private static final long serialVersionUID = 1L;

	private String id;

	private String sctid;

	private String typeName;

	private List<GenericDrugtypeInfo> genericDrugtypeInfos;
	
	public DrugType(String typeName) {
		super();
		this.typeName = typeName;
	}
	
	

	public DrugType(String sctid, String typeName) {
		super();
		this.sctid = sctid;
		this.typeName = typeName;
	}


	public DrugType() {
		super();

	}


	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getSctid() {
		return sctid;
	}

	public void setSctid(String sctid) {
		this.sctid = sctid;
	}

	public String getTypeName() {
		return typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}

	public List<GenericDrugtypeInfo> getGenericDrugtypeInfos() {
		return genericDrugtypeInfos;
	}

	public void setGenericDrugtypeInfos(List<GenericDrugtypeInfo> genericDrugtypeInfos) {
		this.genericDrugtypeInfos = genericDrugtypeInfos;
	}

}